Fwconsole not found

Ok, thanks. If I had a backup would that help?

hi
i did upgrade and still get this error…

what next?

You are still on freepbx 12.

Did you use the FreePBX Upgrader module as well as the script file?

The ownership issue the other day

File /etc/dahdi/system.conf is not owned by asterisk
File /etc/modprobe.d/dahdi.conf is not owned by asterisk

Then I saw this post and started looking:
Looks like on the 17th 10.13.66 started and hung then on the 18th 6.12.62-26 was able to successfully take over…

System Pro update log:
No update currently running. You may close this window.2016-02-17 00:41:27: (10.13.66-1) Stage 2 complete2016-02-17 00:41:27: (10.13.66-1) Starting stage 32016-02-18 00:33:02: () Update sequence initialized2016-02-18 00:33:02: (6.12.65-26) Upgrade process successfully completed!2016-02-19 00:33:01: () Update sequence initialized2016-02-19 00:33:01: (6.12.65-26) Upgrade process successfully completed!2016-02-20 00:33:01: () Update sequence initialized2016-02-20 00:33:01: (6.12.65-26) Upgrade process successfully completed!2016-02-21 00:33:02: () Update sequence initialized2016-02-21 00:33:02: (6.12.65-26) Upgrade process successfully completed!2016-02-22 00:33:01: () Update sequence initialized2016-02-22 00:33:01: (6.12.65-26) Upgrade process successfully completed!2016-02-23 00:33:03: () Update sequence initialized2016-02-23 00:33:03: (6.12.65-26) Upgrade process successfully completed!2016-02-24 00:33:02: () Update sequence initialized2016-02-24 00:33:02: (6.12.65-26) Upgrade process successfully completed!2016-02-25 00:33:01: () Update sequence initialized2016-02-25 00:33:01: (6.12.65-26) Upgrade process successfully completed!2016-02-26 00:33:01: () Update sequence initialized2016-02-26 00:33:01: (6.12.65-26) Upgrade process successfully completed!

Logged in SSH getting these same messages.

login as: root
Access denied
[email protected] password:
Last login: Fri Sep 4 08:28:05 2015 from 10.10

** CRITICAL SYSTEM ERROR **

Unable to generate MOTD.
The /usr/sbin/fwconsole file is not accessible

You are likely to experience significant system issues.


| | __ ___ | _ | __ ) / /
| |
| '
/ _ / _ \ |
) | _ \ /
| || | | __/ __/ __/| |) /
|
| |
| _|_|| |__//_\

Interface em1 IP: 10.10
Interface em1 MAC: 08:9E:01
Interface em2 IP: 10.10
Interface em2 MAC: 08:9E

Please note most tasks should be handled through the FreePBX UI.
You can access the FreePBX GUI by typing one of the above IP’s in to your web br owser.
For support please visit http://www.freepbx.org/support-and-professional-service s

[[email protected] ~]#

Am I going to be forced to upgrade to 13 also to fix this?

I have the exact same problem as edlentz. Same situation here:
[[email protected] ~]# locate fwconsole
/usr/src/freepbx-13.0.64/amp_conf/bin/fwconsole
/usr/src/freepbx-13.0.64/amp_conf/htdocs/admin/modules/framework/amp_conf/bin/fwconsole

[[email protected] ~]# /usr/src/freepbx-13.0.64/amp_conf/bin/fwconsole ma download framework
PHP Fatal error: Class ‘FreePBX\Console\Application\FWApplication’ not found in /usr/src/freepbx-13.0.64/amp_conf/bin/fwconsole on line 78
[[email protected] ~]# /usr/src/freepbx-13.0.64/amp_conf/bin/fwconsole ma install framework
PHP Fatal error: Class ‘FreePBX\Console\Application\FWApplication’ not found in /usr/src/freepbx-13.0.64/amp_conf/bin/fwconsole on line 78
[[email protected] ~]#

I upgraded to version 13 and the issue went away, but I found the following problems:

  • Calls from AT&T mobile phones not reaching our IVR. Calls from our SIP trunk vendor lines and Sprint worked OK, even when the new Firewall in version 13 is disabled.
  • UCP Deamon not running: Found solution here: http://issues.freepbx.org/browse/FREEPBX-10725
  • after the upgrade to 10.13.66-1, the SysAdminPro module throws this error when you try to upgrade to 10.13.66-6 which I’m still trying to fix:
    Whoops\Exception\ErrorException
    Undefined index: version
    File:/var/www/html/admin/modules/sysadmin/Sysadmin.class.php:303

no i am running FreePBX 13.0.73 so how do i fix this

What does the system Overview on the dashboard GUI show? On the CLI what does cat /etc/schmooze/pbx-version show?

BUMP same issue on two of the systems I’m running. Went to log in to the console and got the MOTD error and fwconsole is not located in /usr/sbin rather it appears to be located in /usr/local/sbin. we never pushed an upgrade to 13 these were both running 12 with sysadmin pro and auto update monthly. I have tried forcing an update by running the scripts provided on the wiki, using the GUI upgrade module, and the manual upgrade outlined here(which includes chown). after all of that the dash board has no errors or warnings other than OpenCnam (just installed ffmepg and lame). Dashboard reports version as 13.0.76 while pbx-version reports 6.12.65-32 as the version. What now?

Heave you downloaded and run the upgrade-10.13.66-1.sh as shown in the wiki?

upgrade-10.13.66-1.sh is not available only upgrade-10.13.66-2.sh the wiki says

Download and run the applicable upgrade script. To install an update script via the Linux command line, use the following commands, substituting the proper scripts from above.

So I guess that’s kinda confusing because my version is reported as 6.12.65-32

Go the 6.12.65 page and download the 6.12.65-100 which is the 10.13.66-1.

1 Like

Outstanding thank you this worked perfectly!

still got same issue CRITICAL SYSTEM ERROR

You posted a screenshot saying you have a critical system error but your screenshot says otherwise

I do in Putty view

This is a different screenshot than the one above.

Use “find / -name fwconsole” and post the result.

Here is the results.

Either log into the server as root, or use ‘sudo’ to execute the command ‘chmod +x /usr/sbin/fwconsole’

After that, you should be able to run fwconsole without a problem…

I also ran the update script from the Wiki, and got the error shown above (the ** CRITICAL SYSTEM ERROR ** thing).

Here’s fwconsole located:

Where do I go from here?

I’ve tried asking about upgrade problems earlier here. As I’m no Linux wizard, I didn’t think to check the console… :frowning:
However, the system is working as it did before.